//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TMainForm.h"
//---------------------------------------------------------------------------
#pragma link "TDx_Sound"
#pragma link "TDx_SoundBuffer"
#pragma link "TDSCaps"
#pragma link "TDSBufferDesc"
#pragma link "TDx_Sound_Library_Install"
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
#define Msg(A) 		StatusMemo->Lines->Add(A)
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::TestButtonClick(TObject *Sender)
{
Msg( "Test button was clicked, playing an example .WAV file..." );

Dx_Sound1->Create(NULL);
while (Dx_SoundBuffer1->Playing) ; // wait for sound to finish playing
if (Dx_Sound1->Created) Dx_Sound1->Destroy();

Msg( "...Finished playing the example .WAV file" );
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_Sound1Create(TObject *Sender)
{
Dx_SoundBuffer1->CreateFromFile( "..\\..\\Wav\\Begin.Wav", DSBufferDesc1, Dx_Sound1 );
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_SoundBuffer1Create(TObject *Sender)
{
Dx_SoundBuffer1->Play(0);
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_SoundBuffer1Destroy(TObject *Sender)
{
if (Dx_SoundBuffer1->Playing) Dx_SoundBuffer1->Stop();
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_Sound1Destroy(TObject *Sender)
{
if (Dx_SoundBuffer1->Created) Dx_SoundBuffer1->Destroy();
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::FormDestroy(TObject *Sender)
{
if (Dx_Sound1->Created) Dx_Sound1->Destroy();
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Dx_Sound1Error(TObject *Sender,
      AnsiString TheFunction, AnsiString TheError,
      AnsiString TheErrorMessage)
{
Msg( "An error occurred in: "+TheFunction+"..." );
Msg( "... the error code: "+TheError );
Msg( "... the error message: "+TheErrorMessage );
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::ExitButtonClick(TObject *Sender)
{
Close();
}
//---------------------------------------------------------------------------
