//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
#include "TDSCaps.h"
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
#define MAX_DEVICES 256
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label2;
	TListBox *DevicesListBox;
    TLabel *Label3;
    TMemo *StatusMemo;
    TDx_Sound *Dx_Sound1;
    TDSCaps *DSCaps1;
    TDx_SoundBuffer *Dx_SoundBuffer1;
    TDSBufferDesc *DSBufferDesc1;
	TMemo *CapsMemo;
	TLabel *Label1;
	TBitBtn *QuitButton;
	TPanel *Panel1;
	TLabel *Label23;
	TBitBtn *EnumerateButton;
	TLabel *Label4;
	TLabel *Label6;
	TPanel *Panel2;
	TLabel *Label5;
	TLabel *ActiveDevice;
    void __fastcall Dx_Sound1Error(TObject *Sender, AnsiString TheFunction,
          AnsiString TheError, AnsiString TheErrorMessage);
    void __fastcall Dx_Sound1DSEnumCallback(TObject *Sender, GUID *TheGUID,
          AnsiString TheDriverDescription, AnsiString TheDriverModule,
          void *TheContext, bool &Finished);
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
	
	
	
	
	
	

	
	
	
	
	
	
	
	
	
	
	
	
	void __fastcall Dx_SoundBuffer1BufferLost(TObject *Sender);
	
	void __fastcall Dx_Sound1Create(TObject *Sender);
	
	
	void __fastcall Dx_Sound1Destroy(TObject *Sender);
	
	void __fastcall FormDestroy(TObject *Sender);
	
	
	
	void __fastcall Dx_SoundBuffer1Create(TObject *Sender);
	void __fastcall DevicesListBoxClick(TObject *Sender);
	
	void __fastcall EnumerateButtonClick(TObject *Sender);
	void __fastcall QuitButtonClick(TObject *Sender);
private:	// User declarations
	TStringList*	KnownDevices;
    TStringList*	KnownModules;
    TList*			KnownGuids;
public:		// User declarations
    __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
